package com.ebei.device.asset.weixin.mapper;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.ebei.device.asset.weixin.model.entity.AssetUser;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 资产管护租户账号与资产关联关系
 * @Description : AssetUserMapper
 */
@Repository
public interface AssetUserMapper extends BaseMapper<AssetUser> {

    /**
     * @description :根据区域id 获取租户下拉选
     *
     * @date : 2021-04-15 13:50
     * @param areaId
     * @return : java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
    */
    List<Map<String, Object>> getAssetTenantSelectData(Long areaId);
    /**
     * @description :根据区域id 和租户id 获取资产下拉选
     * @date : 2021-04-15 13:46
     * @param areaId
     * @return : java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     */
    List<Map<String, Object>> getAssetSelectData(Long areaId, Long snycId);
}
